/**
 * We want to be able to define tests essentially as sequences of actions by actors,
 * with assertions about various values after each action.
 *
 * We also want the following features:
 * - Advance tests automatically, for use as automated regression tests.
 * - Advance tests manually, for use as a visual demo on a web page.
 * - Nice to have: Manually add/remove/modify action steps.
 * - Nice to have: Manually rewind actions to view prior states.
 * - Nice to have: Export/import sequences of action steps.
 */
export class Test {

}
